commit: 62c51519bfccb993cb7d5338e1599ffcb92f2623
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 21 06:28:47 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 21 09:22:37 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62c51519
dev-python/fixtures: Bump to 4.3.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/fixtures/Manifest | 1 +
dev-python/fixtures/fixtures-4.3.0.ebuild | 30 ++++++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-python/fixtures/Manifest b/dev-python/fixtures/Manifest
index fdb07b64d67c..85af2000d52c 100644
--- a/dev-python/fixtures/Manifest
+++ b/dev-python/fixtures/Manifest
@@ -1 +1,2 @@
DIST fixtures-4.2.8.tar.gz 46738 BLAKE2B
22f8265e7da782acbc867256392599fd92992bdd86df273eeda1816cd97b50e674858fca8ffc813afe1e38ba48ed7e28f1881dea13d80d325ae175a6b76b89d2
SHA512
c2844764ba493301c5d14e7f31a65cca371a7d3134277eb6aad49ad3c6e42848f6dbdad31837652ef27dfcbe19a03890f8fa6dcfc8e877460eae6083de278227
+DIST fixtures-4.3.0.tar.gz 46637 BLAKE2B
cba4cd915cdad5d97ae7327afa932a3625abde1f18504f19c65db313a83334caf92a4d712629a95273f2ebd15291514aa87e88e5a8e202330143ff52537230e6
SHA512
e22aef9c86c90d0d0e0bc96fa241faf8b7673251a31aacd14cbfc66a4e410e6f9b260f408eaa11280af3b8e8e19e80a373f6bede57347f46614fee66385f11f3
diff --git a/dev-python/fixtures/fixtures-4.3.0.ebuild
b/dev-python/fixtures/fixtures-4.3.0.ebuild
new file mode 100644
index 000000000000..b75fce52a3e3
--- /dev/null
+++ b/dev-python/fixtures/fixtures-4.3.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fixtures, reusable state for writing clean tests and more"
+HOMEPAGE="
+ https://github.com/testing-cabal/fixtures/
+ https://pypi.org/project/fixtures/
+"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/testtools-2.5.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest